FcLangSetHasLang(3) |  | FcLangSetHasLang(3)

# NAME

FcLangSetHasLang - test langset for language support

# SYNOPSIS

#include <fontconfig.h>
FcLangResult FcLangSetHasLang(const FcLangSet *ls);
(const FcChar8 *lang);
.fi

# DESCRIPTION

FcLangSetHasLang checks whether ls supports lang. If ls has a matching language and territory pair, this function returns FcLangEqual. If ls has a matching language but differs in which territory that language is for, this function returns FcLangDiffentTerritory. If ls has no matching language, this function returns FcLangDifferentLang.

# VERSION

Fontconfig version 2.8.0

18 November 2009 |